## gtkcookie 0.4

=== Makefile ===
--- 
+++ 
@@ -5,12 +5,12 @@
 CC = /usr/local/bin/gcc
 
 # define macro for gcc flags
-CFLAGS = -Wall -D_XOPEN_SOURCE -g `gtk-config --cflags`
+CFLAGS := -Wall -D_XOPEN_SOURCE -g $(shell pkg-config --cflags gtk+-2.0) #-D_MANNI_DEBUG
 # with optimisation, and without debugging information...
 # CFLAGS = -O3 -Wall -D_XOPEN_SOURCE `gtk-config --cflags`
 
 # define libraries to include
-LIBRARIES = `gtk-config --libs`
+LIBRARIES := $(shell pkg-config --libs gtk+-2.0)
 # statically link libraries
 # LIBRARIES = -static `gtk-config --libs`
 # electric fence -- enable static linking to ensure this works
@@ -43,8 +43,8 @@
 	$(INSTALL) -d -m 755 $(INSTPREFIX)/share/pixmaps
 	$(INSTALL)    -m 644 cookie.xpm $(INSTPREFIX)/share/pixmaps
 	$(INSTALL)    -m 644 small_cookie.xpm $(INSTPREFIX)/share/pixmaps
-	$(INSTALL) -d -m 755 $(INSTPREFIX)/man/man1
-	$(INSTALL)    -m 644 gtkcookie.1 $(INSTPREFIX)/man/man1
+	$(INSTALL) -d -m 755 $(INSTPREFIX)/share/man/man1
+	$(INSTALL)    -m 644 gtkcookie.1 $(INSTPREFIX)/share/man/man1
 
 clean:
 	rm -f gtkcookie
