=== debian/control ===
Source: gtkcookie
Section: web
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>> 8), dpkg-dev (>= 1.15.7~), hardening-includes, libgtk2.0-dev
Standards-Version: 3.9.1
Vcs-Git: git://gitorious.org/gtkcookie/pkg-debian.git
Vcs-Browser: http://gitorious.org/gtkcookie/pkg-debian
DM-Upload-Allowed: yes

Package: gtkcookie
Section: x11
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: editor for cookie files
 This package provides a graphical editor for cookie files as stored
 by Gecko browsers (Mozilla, FireFox, Galeon, Netscape, etc.) before
 they started storing their cookies in SQLite databases.
